<?php
namespace app\api\route;

use app\api\middleware\AllowOriginMiddleware;
use app\api\middleware\SeretKeyMiddleware;
use think\facade\Config;
use think\facade\Route;
use think\Response;

/**
 * 无需授权的接口
 */
Route::group('pub',function () {
    //站点信息
    Route::rule('siteResouce', 'v1.pub/siteResouce');
    //获取图片base64
    Route::rule('image_base64', 'v1.pub/get_image_base64')->name('getImageBase64');
    Route::rule('warehouse', 'v1.pub/warehouse');
    //获取城市列表
    Route::rule('city_list', 'v1.pub/city_list')->name('cityList');

})->middleware([
    AllowOriginMiddleware::class
]);
