<?php

namespace library\services\upload;

use library\basic\BaseManager;
use think\facade\Config;

/**
 * Class Upload
 * @package library\services\upload
 * @mixin \library\services\upload\storage\Local
 * @mixin \library\services\upload\storage\OSS
 * @mixin \library\services\upload\storage\COS
 * @mixin \library\services\upload\storage\Qiniu
 */
class Upload extends BaseManager
{
    /**
     * 空间名
     * @var string
     */
    protected $namespace = '\\library\\services\\upload\\storage\\';

    /**
     * 设置默认上传类型
     * @return mixed
     */
    protected function getDefaultDriver()
    {
        return Config::get('upload.default', 'qiniu');
    }


}
